| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::ByteArrayList Struct Reference
Types and constants » List types

`#include <TelepathyQt/Types>`

Inheritance diagram for Tp::ByteArrayList:
[legend]

## Public Member Functions

| ByteArrayList ()
| ByteArrayList (const QList< QByteArray > &a)
ByteArrayList & | operator= (const QList< QByteArray > &a)
Public Member Functions inherited from QList< QByteArray >
| QList ()
| QList (const QList< T > &other)
| QList (std::initializer_list< T > args)
| ~QList ()
QList< T > & | operator= (const QList< T > &other)
void | swap (QList< T > &other)
void | swap (int i, int j)
bool | operator== (const QList< T > &other) const
bool | operator!= (const QList< T > &other) const
int | size () const
bool | isEmpty () const
void | clear ()
const T & | at (int i) const
const T & | operator[] (int i) const
T & | operator[] (int i)
void | reserve (int alloc)
void | append (const T &value)
void | append (const QList< T > &value)
void | prepend (const T &value)
void | insert (int i, const T &value)
iterator | insert (iterator before, const T &value)
void | replace (int i, const T &value)
void | removeAt (int i)
int | removeAll (const T &value)
bool | removeOne (const T &value)
T | takeAt (int i)
T | takeFirst ()
T | takeLast ()
void | move (int from, int to)
int | indexOf (const T &value, int from) const
int | lastIndexOf (const T &value, int from) const
bool | contains (const T &value) const
int | count (const T &value) const
int | count () const
iterator | begin ()
const_iterator | begin () const
const_iterator | constBegin () const
iterator | end ()
const_iterator | end () const
const_iterator | constEnd () const
iterator | erase (iterator pos)
iterator | erase (iterator begin, iterator end)
int | length () const
T & | first ()
const T & | first () const
T & | last ()
const T & | last () const
void | removeFirst ()
void | removeLast ()
bool | startsWith (const T &value) const
bool | endsWith (const T &value) const
QList< T > | mid (int pos, int length) const
T | value (int i) const
T | value (int i, const T &defaultValue) const
void | push_back (const T &value)
void | push_front (const T &value)
T & | front ()
const T & | front () const
T & | back ()
const T & | back () const
void | pop_front ()
void | pop_back ()
bool | empty () const
iterator | remove (iterator pos)
int | remove (const T &t)
int | findIndex (const T &t) const
iterator | find (const T &t)
const_iterator | find (const T &t) const
iterator | find (iterator from, const T &t)
const_iterator | find (const_iterator from, const T &t) const
QList< T > & | operator+= (const QList< T > &other)
QList< T > & | operator+= (const T &value)
QList< T > | operator+ (const QList< T > &other) const
QList< T > & | operator<< (const T &value)
QList< T > & | operator<< (const QList< T > &other)
QVector< T > | toVector () const
QSet< T > | toSet () const
std::list< T > | toStdList () const

## Additional Inherited Members

Static Public Member Functions inherited from QList< QByteArray >
QList< T > | fromVector (const QVector< T > &vector)
QList< T > | fromSet (const QSet< T > &set)
QList< T > | fromStdList (const std::list< T > &list)
Public Attributes inherited from QList< QByteArray >
typedef | Iterator
typedef | ConstIterator
typedef | size_type
typedef | value_type
typedef | pointer
typedef | const_pointer
typedef | reference
typedef | const_reference
typedef | difference_type

## Detailed Description

Generic list type with QByteArray elements. Convertible with QList<QByteArray>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::ByteArrayList::ByteArrayList | ( |  | ) |

inline

Tp::ByteArrayList::ByteArrayList | ( | const QList< QByteArray > & | a | ) |

inline

## Member Function Documentation

ByteArrayList& Tp::ByteArrayList::operator= | ( | const QList< QByteArray > & | a | ) |

inline